#!/usr/bin/env kjscmd

// Applies a rotate of 90 degrees to the image
function apply_rotate( img )
{
    var foo = img.Rotate90;
    println(foo);
    img.rotate(foo);
    return img;
}

if ( application.args.length == 0 ) {
    throw 'Usage:\n\timageviewer imgfile ...';
}
else {
    var loc = application.args[0];
    var img = new Image();
    img.load( loc );
    if ( !img.isOk() ) {
        throw 'Failed to load image ' + loc;
    }

    img = apply_rotate( img );

    img.save( loc );
}
